--- old/usr/src/uts/common/inet/ip/ip6_asp.c	sam. juil. 16 15:14:52 2016
+++ new/usr/src/uts/common/inet/ip/ip6_asp.c	sam. juil. 16 15:14:52 2016
@@ -43,12 +43,12 @@
 #include <inet/ipclassifier.h>
 
 #define	IN6ADDR_MASK128_INIT \
-	{ 0xffffffffU, 0xffffffffU, 0xffffffffU, 0xffffffffU }
-#define	IN6ADDR_MASK96_INIT	{ 0xffffffffU, 0xffffffffU, 0xffffffffU, 0 }
+	{{{ 0xffffffffU, 0xffffffffU, 0xffffffffU, 0xffffffffU }}}
+#define	IN6ADDR_MASK96_INIT	{{{ 0xffffffffU, 0xffffffffU, 0xffffffffU, 0 }}}
 #ifdef _BIG_ENDIAN
-#define	IN6ADDR_MASK16_INIT	{ 0xffff0000U, 0, 0, 0 }
+#define	IN6ADDR_MASK16_INIT	{{{ 0xffff0000U, 0, 0, 0 }}}
 #else
-#define	IN6ADDR_MASK16_INIT	{ 0x0000ffffU, 0, 0, 0 }
+#define	IN6ADDR_MASK16_INIT	{{{ 0x0000ffffU, 0, 0, 0 }}}
 #endif
 
 
@@ -59,22 +59,22 @@
  */
 static ip6_asp_t default_ip6_asp_table[] = {
 	{ IN6ADDR_LOOPBACK_INIT,	IN6ADDR_MASK128_INIT,
-	    "Loopback", 50 },
+	    {"Loopback"}, 50 },
 	{ IN6ADDR_ANY_INIT,		IN6ADDR_MASK96_INIT,
-	    "IPv4_Compatible", 20 },
+	    {"IPv4_Compatible"}, 20 },
 #ifdef _BIG_ENDIAN
-	{ { 0, 0, 0x0000ffffU, 0 },	IN6ADDR_MASK96_INIT,
-	    "IPv4", 10 },
-	{ { 0x20020000U, 0, 0, 0 },	IN6ADDR_MASK16_INIT,
-	    "6to4", 30 },
+	{ {{{ 0, 0, 0x0000ffffU, 0 }}},	IN6ADDR_MASK96_INIT,
+	    {"IPv4"}, 10 },
+	{ {{{ 0x20020000U, 0, 0, 0 }}},	IN6ADDR_MASK16_INIT,
+	    {"6to4"}, 30 },
 #else
-	{ { 0, 0, 0xffff0000U, 0 },	IN6ADDR_MASK96_INIT,
-	    "IPv4", 10 },
-	{ { 0x00000220U, 0, 0, 0 },	IN6ADDR_MASK16_INIT,
-	    "6to4", 30 },
+	{ {{{ 0, 0, 0xffff0000U, 0 }}},	IN6ADDR_MASK96_INIT,
+	    {"IPv4"}, 10 },
+	{ {{{ 0x00000220U, 0, 0, 0 }}},	IN6ADDR_MASK16_INIT,
+	    {"6to4"}, 30 },
 #endif
 	{ IN6ADDR_ANY_INIT,		IN6ADDR_ANY_INIT,
-	    "Default", 40 }
+	    {"Default"}, 40 }
 };
 
 /*
